Bug 49407 - backup manager reports too few current sessions
backup manager reports too few current sessions
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Cluster
6.0.20
All All
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-06-08 15:58 UTC by Mark Thomas
Modified: 2010-08-04 12:45 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Thomas 2010-06-08 15:58:58 UTC
With 100 sessions shared across 4 nodes (i.e. 25 active sessions per node), the delta manager reports 100 current sessions per node (25 active and the copies of the sessions from the other nodes). The back manager reports 25. For consistency it should report 50. The 25 active sessions plus the 25 (or so) that are backed up on that node.
Comment 1 Mark Thomas 2010-07-29 16:56:34 UTC
This has been fixed for Tomcat 7 and the HTML Manager application enhanced to differentiate between Primary, Backup and Proxy sessions.

I suspect the changes are too fundamental (Backup manager changed to included backup sessions in list of active sessions) to be back-ported but I have started a discussion on the dev list
Comment 2 Mark Thomas 2010-08-04 12:45:58 UTC
The documentation has been fixed but code will not be changed in Tomcat 6 as the changes required are too invasive.